from setuptools import setup, find_packages

setup(
    name='djangaudit',
    version='0.1.1',
    packages=find_packages(),
    include_package_data=True,
    license='MIT License',
    description='A Django app for auditing a django project',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/tominardi/djangaudit',
    author='Thomas Durey',
    author_email='tominardi@gmail.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 3.0',  # Replace "X.Y" with the appropriate version
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
    install_requires=[
        'Django>=3.0',
        'requests',
    ],
    python_requires='>=3.7',
    project_urls={
        'Source': 'https://bitbucket.org/tominardi/djangaudit/',
    }
)
